Permalink
Browse files

Bump soname for Qt5-based version

Qt4 and Qt5 releases are binary-incompatible, therefore need different
so-names.
  • Loading branch information...
aleixpol committed Nov 28, 2014
1 parent 8b2f57f commit 650e836fa8d13e2258eb1142ec07849e5dcd49db
Showing with 7 additions and 2 deletions.
  1. +1 −1 src/qoauth.pc
  2. +6 −1 src/src.pro
@@ -5,7 +5,7 @@ includedir=${prefix}/include/QtOAuth

Name: QOAuth
Description: Qt OAuth support library
Version: 1.0.1
Version: 2.0.1
Requires: QtCore QtNetwork qca2
Libs: -L${libdir} -lqoauth
Cflags: -I${includedir}
@@ -2,7 +2,12 @@ TARGET = qoauth
DESTDIR = ../lib
win32:DLLDESTDIR = $${DESTDIR}

VERSION = 1.0.1
equals(QT_MAJOR_VERSION, 5){
VERSION = 2.0.1
}
equals(QT_MAJOR_VERSION, 4) {
VERSION = 1.0.1
}

TEMPLATE = lib
QT += network

1 comment on commit 650e836

@s8321414

This comment has been minimized.

Copy link

s8321414 commented on 650e836 Nov 28, 2016

Why not make a tag and release Qt5-based version?

Please sign in to comment.